////////////////////////////////////////////////////////////////////////////////
//   ____  ____   
//  /   /\/   /  
// /___/  \  /   
// \   \   \/  
//  \   \        Copyright (c) 2003-2004 Xilinx, Inc.
//  /   /        All Right Reserved. 
// /---/   /\     
// \   \  /  \  
//  \___\/\___\
////////////////////////////////////////////////////////////////////////////////

#ifndef H_Xilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral_H
#define H_Xilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral_H
#ifdef __MINGW32__
#include "xsimMinGW.h"
#else
#include "xsim.h"
#endif


class Xilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral: public HSim__s6 {
public:

    HSim__s4 PE[6];
    HSim__s1 SE[12];

HSimConstraints *c927;
  char *t928;
    HSim__s1 SA[13];
  char t929;
  char t930;
  char t931;
  char t932;
    Xilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral(const char * name);
    ~Xilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral();
    void constructObject();
    void constructPorts();
    void reset();
    void architectureInstantiate(HSimConfigDecl* cfg);
    virtual void vhdlArchImplement();
};



HSim__s6 *createXilinxcorelib_fifo_generator_v4_2_bhv_preload0_behavioral(const char *name);

#endif
